Payment Data
List transactions
Retrieves a paginated list of all transactions associated with a payment.
The results are grouped into pages, and the caller can specify the number of transactions per page via a query parameter, with a maximum limit of 500 transactions per page. If no value is specified, a default page size will be used.
GET
/
payments
/
{id}
/
transactions
List transactions
curl --request GET \
--url https://sandbox.hellgate.io/payments/{id}/transactions \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.hellgate.io/payments/{id}/transactions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.hellgate.io/payments/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "54ba1fdb-7e4e-402b-aebb-66f9d5345cf8",
"type": "authorize",
"status": "succeeded",
"started_at": "2021-01-01T00:00:00Z",
"finished_at": "2021-01-01T00:00:00Z",
"processor": {
"name": "Starfish Bank",
"transaction_id": "ch_1H9zvz2eZvKYlo2C5J1J9zvz",
"merchant_id": "acct_1H9zvz2eZvKYlo2C",
"network_transaction_reference": "1234567890"
}
}
],
"pagination": {
"current_page": 1,
"page_size": 50,
"total_items": 1,
"total_pages": 1
}
}{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}{
"code": 404,
"message": "The requested resource was not found.",
"classifier": "NOT_FOUND"
}Authorizations
Path Parameters
The ID of the payment on Commerce.
Query Parameters
The desired amount of records per page.
Required range:
0 <= x <= 500The desired number of the page to return.
Required range:
x >= 0⌘I
List transactions
